.form {
  &__group:not(:last-child) {
    margin-bottom: 2rem;
  }

  &__input {
    display: block;
    transition: all 0.3s;
    border: none;
    border-bottom: 0.3rem solid transparent;
    border-radius: 0.2rem;
    width: 90%;
    padding: 1.5rem 2rem;
    background-color: rgba($color-white, 0.5);
    font-size: 1.5rem;
    font-family: inherit;
    color: inherit;

    @include respond(tab-port) {
      width: 100%;
    }

    &:focus {
      outline: none;
      box-shadow: 0 1rem 2rem rgba($color-black, 0.1);
      border-bottom: 0.3rem solid $color-primary;
    }

    &:focus:invalid {
      border-bottom: 0.3rem solid $color-secondary-dark;
    }

    &::placeholder {
      color: $color-grey-dark-2;
    }
  }

  &__label {
    display: block;
    transition: all 0.3s;
    margin-top: 0.7rem;
    margin-left: 2rem;
    font-size: 1.2rem;
    font-weight: 700;
  }

  &__input:placeholder-shown + &__label {
    visibility: hidden;
    opacity: 0;
    transform: translateY(-2rem);
  }

  &__radio-group {
    display: inline-block;
    width: 49%;

    @include respond(tab-port) {
      margin-bottom: 3rem;
      width: 100%;
    }
  }

  &__radio-input {
    display: none;
  }

  &__radio-label {
    position: relative;
    padding-left: 4rem;
    cursor: pointer;
    font-size: $default-font-size;
  }

  &__radio-button {
    position: absolute;
    left: 0;
    top: -0.4rem;
    display: inline-block;
    border: 5px solid $color-primary;
    border-radius: 50%;
    height: 3rem;
    width: 3rem;

    &::after {
      @include absCenter;

      content: "";
      display: block;
      opacity: 0;
      transition: opacity 0.3s;
      border-radius: 50%;
      height: 1.3rem;
      width: 1.3rem;
      background-color: $color-primary;
    }
  }

  &__radio-input:checked + &__radio-label > &__radio-button::after {
    opacity: 1;
  }
}
